<?php

$n = trim(fgets(STDIN));
$data = trim(fgets(STDIN));
$data = explode(" ", $data);

$sum = 0;
$data = array_reverse($data);

foreach($data as $key => $info) {
    //var_dump($data);
    if(!isset($data[$key])) continue;
    $info = $data[$key];
    if($info == 1) continue;

    $sum += $info;
    //var_dump($info);
    for($i = $key + 1; $i < $n; $i++) {
        if(!isset($data[$i])) continue;
        if($data[$i] == $info) continue;

        $data[$i]--;
        if($data[$i] == 0) unset($data[$i]);
    }
}

echo $sum;